C
C
C     Files to be used in KRMC-LUCIAREL
C
      INTEGER LUSC929_MPIL, LUSC94_MPIL, LUSC95_MPIL, LUMOUTRI_MPIL
C
      COMMON/IPARNAMREL/ LUSC929_MPIL, LUSC94_MPIL, LUSC95_MPIL,
     &                   LUMOUTRI_MPIL, LUSC344_MPIL
C
      CHARACTER*9 LUDIA_MPIN
      CHARACTER*13 NLUDIA_MPI
      CHARACTER*10 LUC_MPIN
      CHARACTER*14 NLUC_MPI
      CHARACTER*10 LUHC_MPIN
      CHARACTER*14 NLUHC_MPI
      CHARACTER*9 LUSC1_MPIN, LUSC2_MPIN, LUSC3_MPIN
      CHARACTER*13 NLUSC1_MPI, NLUSC2_MPI, NLUSC3_MPI
      CHARACTER*10 LUSC34_MPIN,LUSC35_MPIN,LUSC36_MPIN,LUSC37_MPIN
      CHARACTER*10 LUSC38_MPIN,LUSC39_MPIN
      CHARACTER*10 LUSC41_MPIN, LUSC61_MPIN, LUSC62_MPIN
      CHARACTER*10 LUSC92_MPIN, LUSC93_MPIN
      CHARACTER*14 NLUSC34_MPI, NLUSC35_MPI, NLUSC36_MPI,NLUSC37_MPI
      CHARACTER*14 NLUSC38_MPI, NLUSC39_MPI, NLUSC41_MPI
      CHARACTER*14 NLUSC61_MPI, NLUSC62_MPI, NLUSC92_MPI, NLUSC93_MPI
	CHARACTER*9 LUSC94_MPIN
	CHARACTER*7 LUSC95_MPIN
	CHARACTER*13 NLUSC94_MPI
	CHARACTER*11 NLUSC95_MPI
	CHARACTER*7 LUMOUTR_MPIN, LUMOUTI_MPIN
	CHARACTER*11 NLUMOUTR_MPI, NLUMOUTI_MPI
C
      COMMON/PARNAMREL/ LUDIA_MPIN, NLUDIA_MPI, LUC_MPIN, NLUC_MPI, 
     &                  LUHC_MPIN, NLUHC_MPI, LUSC1_MPIN, LUSC2_MPIN, 
     &                  LUSC3_MPIN, NLUSC1_MPI,
     &                  NLUSC2_MPI, NLUSC3_MPI, 
     &                  LUSC34_MPIN, LUSC35_MPIN, LUSC36_MPIN, 
     &                  LUSC37_MPIN, LUSC38_MPIN, LUSC39_MPIN,
     &                  LUSC61_MPIN, LUSC62_MPIN,
     &                  LUSC93_MPIN, LUSC92_MPIN,
     &                  LUSC94_MPIN, LUSC95_MPIN,
     &                  LUMOUTR_MPIN, LUMOUTI_MPIN, 
     &                  NLUSC34_MPI, NLUSC35_MPI, 
     &                  NLUSC36_MPI, NLUSC37_MPI, NLUSC38_MPI, 
     &                  NLUSC39_MPI, NLUSC41_MPI,
     &                  NLUSC61_MPI, NLUSC62_MPI,
     &                  NLUSC93_MPI, NLUSC92_MPI,
     &                  NLUSC94_MPI, NLUSC95_MPI,
     &                  NLUMOUTR_MPI, NLUMOUTI_MPI
